Skip to main content
PUT
/
contract
/
v1
/
employee-leave-types
/
{employeeLeaveTypeId}
Update an employee leave type
curl --request PUT \
  --url https://api-{region}.sesametime.com/contract/v1/employee-leave-types/{employeeLeaveTypeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated leave type"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Dismissal",
    "editable": true,
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employeeLeaveTypeId
string<uuid>
required

The employee leave type ID

Body

application/json
name
string
required

New leave type name

Example:

"Updated leave type"

Response

Successful response

data
object
meta
object